# Type Alias ModuleConfiguration

type ModuleConfiguration = {
accessRight?: ModuleRestrictionModeValues;
accessRightSelector?: AudienceAutocomplete[];
active: boolean;
moduleName: string;
writeRight?: ModuleRestrictionModeValues;
writeRightSelector?: AudienceAutocomplete[];
}

- Defined in jamespot-user-api/src/types/module.ts:12

##### Index

### Properties

accessRight?
accessRightSelector?
active
moduleName
writeRight?
writeRightSelector?

## Properties

### `Optional` accessRight

accessRight?: ModuleRestrictionModeValues

- Defined in jamespot-user-api/src/types/module.ts:15

### `Optional` accessRightSelector

accessRightSelector?: AudienceAutocomplete[]

- Defined in jamespot-user-api/src/types/module.ts:16

### active

active: boolean

- Defined in jamespot-user-api/src/types/module.ts:14

### moduleName

moduleName: string

- Defined in jamespot-user-api/src/types/module.ts:13

### `Optional` writeRight

writeRight?: ModuleRestrictionModeValues

- Defined in jamespot-user-api/src/types/module.ts:17

### `Optional` writeRightSelector

writeRightSelector?: AudienceAutocomplete[]

- Defined in jamespot-user-api/src/types/module.ts:18